Subject: Re: bug#72750: 29.3; indent-region changes semantics of python code

From: Stefan Kangas <[email-masked]>
Date: Sat, 21 Sep 2024 18:05:52 -0700

tags 72750 + notabug wontfix
close 72750
thanks

Michael Arndt <[email-masked]> writes:

> On 21.09.24 16:51, kobarity wrote:
>> I agree.  Even though `python-indent-region' can be improved to some
>> extent, it seems to me that it is better to use an external tool like
>> "black" to preserve the semantics and format the entire buffer.
> That's fine for me too. I will use something like `eglot-format' to
> format my python files instead. Thank you.

You could also try the package `blacken`:

    https://github.com/pythonic-emacs/blacken

I'm closing this bug report.